Cue Docs
Templates API - V2

Send Template Message V2

Guide: Templates API - V2
POST
/v2/messages/whatsapp

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API token from Settings > API Tokens in your Cue workspace. See Authentication.

Header Parameters

Authorization*Authorization

An API token from Settings > API Tokens, as Bearer <token>.

Request Body

application/json
  1. body
to*To
Length1 <= length
from_*From
Length1 <= length
client_reference?string|null
template*

Response Body

Successful Response

application/json
  1. response
id?string|null
Example Request
curl -X POST 'https://api.cuedesk.com/v2/messages/whatsapp' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "to": "string",
  "from_": "string",
  "template": {
    "name": "string",
    "locale": "string"
  }
}'
Example Response
{
  "id": "string"
}